%global pkg_name %{name}

%global gem_name sprockets

Name: rubygem-%{gem_name}
Version: 4.0.2
Release: 1
Summary: Rack-based asset packaging system
Group: Development/Languages
License: MIT
URL: https://github.com/rails/sprockets
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1: https://github.com/rails/%{gem_name}/archive/refs/tags/v%{version}.tar.gz

# start specfile generated dependencies
Requires: ruby(release)
Requires: ruby >= 1.9.3
Requires: ruby(rubygems)
Requires: rubygem(rack) > 1
Requires: rubygem(rack) < 3
Requires: rubygem(concurrent-ruby) >= 1.0
Requires: rubygem(concurrent-ruby) < 2
BuildRequires: ruby(release)
BuildRequires: ruby >= 1.9.3
BuildRequires: rubygems-devel
BuildRequires: rubygem(minitest)
BuildRequires: help2man
BuildRequires: rubygem(concurrent-ruby)
BuildRequires: rubygem(rake) rubygem(rack-test)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}
# end specfile generated dependencies

Obsoletes: tfm-ror52-rubygem-%{gem_name} <= 3.7.2

%description
Sprockets is a Rack-based asset packaging system that concatenates and serves
JavaScript, CoffeeScript, CSS, LESS, Sass, and SCSS.


%package help
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description help
Documentation for %{pkg_name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x
export GEM_PATH="%{buildroot}/%{gem_dir}:%{gem_dir}"
mkdir -p %{buildroot}%{_mandir}/man1
help2man --no-discard-stderr -N -s1 -o %{buildroot}%{_mandir}/man1/%{gem_name}.1 \
    %{buildroot}/usr/share/gems/gems/%{gem_name}-%{version}/bin/%{gem_name}

%check
pushd .%{gem_instdir}
tar xzf %{SOURCE1}
cd %{gem_name}-%{version}
mv test/test_closure_compressor.rb{,.disabled}
mv lib/sprockets/autoload/closure.rb{,.disabled}
sed -i '/:Closure/ s/^/#/' lib/sprockets/autoload.rb
mv test/test_eco_processor.rb{,.disabled}
mv lib/sprockets/autoload/eco.rb{,.disabled}
sed -i '/:Eco/ s/^/#/' lib/sprockets/autoload.rb
sed -i '/test "eco templates" do/,/^  end/ s/^/#/' test/test_environment.rb
mv test/test_yui_compressor.rb{,.disabled}
mv lib/sprockets/autoload/yui.rb{,.disabled}
sed -i '/:YUI/ s/^/#/' lib/sprockets/autoload.rb
touch Gemfile
RUBYOPT=-Ilib:test ruby -e 'Dir.glob "./test/**/test_*.rb"'
popd

%files
%dir %{gem_instdir}
%{_bindir}/sprockets
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{_mandir}/man1/%{gem_name}.1*

%files help
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md


%changelog
* Fri Jun 25 2021 liqiuyu <liqiuyu@kylinos.cn> - 4.0.2-1
- update to 4.0.2

* Mon Aug 24 2020 liyanan <liyanan32@huawei.com> - 3.7.2-1
- package init
